#include "Random.h"


INT RndGetRandomInt(INT min, INT max)
{
	std::random_device rd;
	std::default_random_engine generator(rd());
	std::uniform_int_distribution<ULONG> distribution(min, max);
	return distribution(generator);
}

FLOAT RndGetRandomFloat(FLOAT min, FLOAT max)
{
	std::random_device Random;
	std::mt19937 RandomGenerator(Random());
	std::uniform_real<FLOAT> RandomDistribute(min, max);
	return RandomDistribute(RandomGenerator);
}